1 Reply Latest reply: Feb 9, 2013 9:45 PM by Niel
donald242 Level 1 Level 1 (0 points)

I need to upgrade my iMac from Tiger v10.4.11 to Leopard v10.5. I have all the upgrades from 10.5.1 on but I'm unable to find the original Leopard software. My computer still works flawlessly but I need to upgrade to take advantage of software updates that are not compatible with Tiger OS.

Any suggestions?

Thanks